import request from '@/utils/request'

// 查询储量信息列表
export function listReserves(query) {
  return request({
    url: '/system/reserves/list',
    method: 'get',
    params: query
  })
}

// 查询储量信息详细
export function getReserves(id) {
  return request({
    url: '/system/reserves/' + id,
    method: 'get'
  })
}

// 新增储量信息
export function addReserves(data) {
  return request({
    url: '/system/reserves',
    method: 'post',
    data: data
  })
}

// 修改储量信息
export function updateReserves(data) {
  return request({
    url: '/system/reserves',
    method: 'put',
    data: data
  })
}

// 删除储量信息
export function delReserves(id) {
  return request({
    url: '/system/reserves/' + id,
    method: 'delete'
  })
}
